package rbac

import "code.fbi.h-da.de/danet/gosdn/controller/store"

// RoleStore describes an interface for role store implementations.
type RoleStore interface {
	Add(r Role) error
	Update(r Role) error
	Delete(Role) error
	Get(store.Query) (LoadedRole, error)
	GetAll() ([]LoadedRole, error)
}
